Sie sind nicht angemeldet.

Anzeigen

**Wir werden in den kommenden Tagen einen Umzug auf einen neuen Server durchführen. Im Rahmen dieser Maßnahme wird das Forum ca. 1 Stunde nicht erreichbar sein.** nslu2-info.de ist ein privates Projekt von mir, welches jeden Monat aus eigener Tasche finanziert wird. Mit einer freiwilligen Spende wird der Erhalt und der weitere Ausbau dieses Forums unterstützt. Um mich beim Erhalt des Forums zu unterstützen, kannst Du entweder via Flattr oder Paypal spenden. Ich bedanke mich schon jetzt bei allen Unterstützern.

Lieber Besucher, herzlich willkommen bei: Die NSLU2 Community****wenns ums speichern und streamen geht****. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

Donnerstag, 27. Dezember 2007, 21:00

Kernel Upgrade

Hallo Zusammen,

ich habe da ein kleines bis großes Problem :o

Wenn ich auf meiner NSLU2 mit Debian ein

'apt-get upgrade' durchführe beginnt das System auch mit dem upgrade der Pakete.
Allerdings versucht das System irgendwann auch meinen kernel zu aktualisieren und das geht dann schief.

Das ganze sieht dann so aus:
<code>
majestix:~# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree... Done
Calculating upgrade... Done
The following NEW packages will be installed:
liblzo2-2
The following packages will be upgraded:
klibc-utils libcomerr2 libklibc libpam-modules libpam-runtime libpam0g libss2 libuuid1 linux-image-2.6.18-5-ixp4xx locales openvpn samba
samba-common samba-doc smbclient smbfs swat winbind
18 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
8 not fully installed or removed.
Need to get 33.5MB of archives.
After unpacking 1124kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://ftp.de.debian.org etch/main linux-image-2.6.18-5-ixp4xx 2.6.18.dfsg.1-17 [8857kB]
Get:2 http://ftp.de.debian.org etch/main libcomerr2 1.39+1.40-WIP-2006.11.14+dfsg-2etch1 [31.7kB]
Get:3 http://ftp.de.debian.org etch/main libpam-runtime 0.79-5 [64.4kB]
Get:4 http://ftp.de.debian.org etch/main libpam0g 0.79-5 [78.8kB]
Get:5 http://ftp.de.debian.org etch/main libpam-modules 0.79-5 [184kB]
Get:6 http://ftp.de.debian.org etch/main libss2 1.39+1.40-WIP-2006.11.14+dfsg-2etch1 [37.0kB]
Get:7 http://ftp.de.debian.org etch/main libuuid1 1.39+1.40-WIP-2006.11.14+dfsg-2etch1 [35.0kB]
Get:8 http://ftp.de.debian.org etch/main locales 2.3.6.ds1-13etch4 [4009kB]
Get:9 http://ftp.de.debian.org etch/main klibc-utils 1.4.34-2 [165kB]
Get:10 http://ftp.de.debian.org etch/main libklibc 1.4.34-2 [48.5kB]
Get:11 http://ftp.de.debian.org etch/main liblzo2-2 2.02-2 [53.6kB]
Get:12 http://ftp.de.debian.org etch/main openvpn 2.0.9-4etch1 [333kB]
Get:13 http://ftp.de.debian.org etch/main swat 3.0.24-6etch9 [796kB]
Get:14 http://ftp.de.debian.org etch/main samba-doc 3.0.24-6etch9 [6914kB]
Get:15 http://ftp.de.debian.org etch/main smbclient 3.0.24-6etch9 [3911kB]
Get:16 http://ftp.de.debian.org etch/main smbfs 3.0.24-6etch9 [419kB]
Get:17 http://ftp.de.debian.org etch/main winbind 3.0.24-6etch9 [1871kB]
Get:18 http://ftp.de.debian.org etch/main samba 3.0.24-6etch9 [3283kB]
Get:19 http://ftp.de.debian.org etch/main samba-common 3.0.24-6etch9 [2379kB]
Fetched 33.5MB in 28s (1194kB/s)
Preconfiguring packages ...
Setting up libblkid1 (1.39+1.40-WIP-2006.11.14+dfsg-2etch1) ...

(Reading database ... 21265 files and directories currently installed.)
Preparing to replace linux-image-2.6.18-5-ixp4xx 2.6.18.dfsg.1-13etch3 (using .../linux-image-2.6.18-5-ixp4xx_2.6.18.dfsg.1-17_arm.deb) ...
The directory /lib/modules/2.6.18-5-ixp4xx still exists. Continuing as directed.
Done.
Unpacking replacement linux-image-2.6.18-5-ixp4xx ...
dpkg: error processing /var/cache/apt/archives/linux-image-2.6.18-5-ixp4xx_2.6.18.dfsg.1-17_arm.deb (--unpack):
failed in buffer_write(fd) (10, ret=-1): backend dpkg-deb during `./lib/modules/2.6.18-5-ixp4xx/kernel/net/sunrpc/sunrpc.ko': No space left on device
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Preparing to replace libcomerr2 1.39+1.40-WIP-2006.11.14+dfsg-2 (using .../libcomerr2_1.39+1.40-WIP-2006.11.14+dfsg-2etch1_arm.deb) ...
Unpacking replacement libcomerr2 ...
Errors were encountered while processing:
/var/cache/apt/archives/linux-image-2.6.18-5-ixp4xx_2.6.18.dfsg.1-17_arm.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
majestix:~#
<code/end>


Jetzt nun meine Frage:
Wie kann ich entweder verhindern, dass das System das Kernelupdate durchführt, bzw. wie kann ich genug Speicher freibekommen um das Update durchzuführen ?

Vielen Dank schon mal für jede Art von Hilfe.


was hast Du bereits probiert?: Ich habe schon in keine Ahnung wieviel Foren gestöbert und gesucht. Auch gegoogelt aber bisher nix passendes gefunden.

Die Suche schon benuzt?: ja

Art der Firmware: Debian kernel 2.6.18-5-ixp4xx

wird ein externer Datenträger genutzt, wenn ja, was für eine Art: USB Seagate 400 GB

Anzeigen

2

Donnerstag, 27. Dezember 2007, 21:59

Hi,

alte heruntergeladene, nicht mehr benötigte .deb Archive löschen:

Quellcode

1
apt-get autoclean
alle heruntergeladene .deb Archive löschen:

Quellcode

1
apt-get clean
Sollte ein bisserl Platz machen :)

Gruss,
EvilDevil

Anzeigen

3

Freitag, 28. Dezember 2007, 00:29

Hi !

Danke für deinen Tip :), habe das aber schon versucht. Habe es eben zur Vorsicht noch mal getestet, aber der Effekt war der gleiche.

Gibt es eine Möglichkeit das Paket von der Installation auszunehmen ? :confused:

Danke und Gruß
syn-flood

djk1o

Fortgeschrittener

Beiträge: 332

Wohnort: Berlin

Beruf: Programmierer/Designer

  • Nachricht senden

4

Freitag, 28. Dezember 2007, 00:32

ich hatte die letzten tage auch ein paar probleme mit apt-get upgrade, auch mit dem kernel, denn der neue ist gar nicht neu! Eine Meldung weist auch darauf hin...das müßtest du aber auch gemerkt haben, da du ja schon selber angibst das du 2.6.18-5 hast und eine andere version will apt-get auch gar nicht einspielen. versuche doch einfach mal die zwei von evildevil genannten schritte und mach mal apt-get -f install NEUESPAKET (stand ja da), danach nochmal mit upgrade. sollte es dann probleme geben einfach mal "dpkg --configure -a" ausführen. solltest du öfters ein HANG UP lesen, dann setzt du einfach mal screen ein, damit nur der ssh/telnet abschmieren kann aber der prozess weiterläuft.
NSLU2 (Debian Etch) 266MHz - fantec LD-U35U2 (160GB Maxtor) - 2,5" Samsung 100GB - Canon iP5200 - Acer Bluetooth - gLCD - NFS (dbox2) - Samba (2x Notebook; 1 PC) - CUPS - rTorrent (xmlrpc) - ntp - lighttp + php

5

Freitag, 28. Dezember 2007, 00:55

Danke für die Hilfe. Du hast recht, der Kernel ist der gleiche, wie der der auch bereits installiert ist. Habe
<code>
apt-get -f install linux-image-2.6.18-5-ixp4xx
<code/ende>
versucht. Ebenso wie deine anderen vorschläge, aber das ergebnis ist das selbe. ich lande in einem Infofenster, in welchen ich darauf hingewiesen werde, dass die Version die gleiche ist und das ganze erst nach einem Reboot abgeschlossen wäre, aber egal ob ich reboote und
<code>
apt-get upgrade
<code/ende>
ausführe oder das ganze ohne reboot mache, der fehler bleibt der gleiche --> zu wenig platz. :-(
das dpkkg --configure -a hat hier auch leider nicht weitergeholfen...

trotzdem danke fü die hilfe

6

Freitag, 28. Dezember 2007, 02:57

Hi,

der Kernel ist schon etwas anders als die installierte Version.
Siehe http://packages.debian.org/changelogs/po….1-17/changelog
Deine installierte Version ist ..1-13etch3 und die neue ist ..1-17.

Wieviel Speicher ist denn noch frei?

Quellcode

1
df -h
Wenn du wirklich dieses Kernelpackage beibehalten willst und von allen zukünftigen Upgrades ausschließen willst, kannst du das Package pinnen:
http://www.debian.org/doc/manuals/apt-ho…t.de.html#s-pin

Gruss,
EvilDevil

Social Bookmarks